## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanFStreamOutputStream Class Reference

Inheritance diagram for XalanFStreamOutputStream:

[legend]
Collaboration diagram for XalanFStreamOutputStream:

[legend]
List of all members.

## Public Types

- enum { eDefaultBufferSize = 8192 }

## Public Member Functions

- XalanFStreamOutputStream (FILE *theFileHandle, MemoryManagerType &theManager, unsigned int theBufferSize=eDefaultBufferSize)
    Construct a XalanFStreamOutputStream object.
- virtual ~XalanFStreamOutputStream ()

## Static Public Member Functions

- XalanFStreamOutputStream * create (FILE *theFileHandle, MemoryManagerType &theManager, unsigned int theBufferSize=eDefaultBufferSize)

## Protected Member Functions

- virtual void writeData (const char *theBuffer, size_type theBufferLength)
    Write the data in the buffer.
- virtual void doFlush ()
    Flush the stream.

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eDefaultBufferSize |

## Constructor & Destructor Documentation

XalanFStreamOutputStream::XalanFStreamOutputStream | ( | FILE * | theFileHandle,
|  | MemoryManagerType & | theManager,
|  | unsigned int | theBufferSize = eDefaultBufferSize
| ) |

Construct a XalanFStreamOutputStream object.

Parameters:

  theHandle | handle of file. Must not be null.
  theBufferSize | The size of the transcoding buffer

virtual XalanFStreamOutputStream::~XalanFStreamOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

XalanFStreamOutputStream* XalanFStreamOutputStream::create | ( | FILE * | theFileHandle,
|  | MemoryManagerType & | theManager,
|  | unsigned int | theBufferSize = eDefaultBufferSize
| ) | `[static]`

virtual void XalanFStreamOutputStream::doFlush | ( |  | ) | `[protected, virtual]`

| Flush the stream. Implements XalanOutputStream.

virtual void XalanFStreamOutputStream::writeData | ( | const char * | theBuffer,
|  | size_type | theBufferLength
| ) | `[protected, virtual]`

Write the data in the buffer.

Parameters:

  theBuffer | The data to write
  theBufferLength | The length of theBuffer.

Implements XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanFStreamOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.